# Folder instructions

This directory collects all the output of make builds.

## Instructions

The original code produces output in the current working directory (the path where the code is executed from). The build directory is intended to collect local builds and test run output in a safe place, without cluttering the code development folders, thus helping git to filter out unnecessary logs through .gitignore.

## Code work-flow

This section describes the use of the pre-existing programs, once the binaries have been properly built by a succesful run of make in the src folder.

### cluster

1. cd to the build/cluster folder
2. run edfb (./edfb)
3. run clu (./clu)

NOTE: both edfb and sph expect an input which is assumed to be in a folder named "../../test_data/cluster/" (i.e. two levels above the current execution path)

TODO: set up a code variable to locate the input data (data file paths should not be hard-coded)

### sphere

1. cd to the build/sphere folder
2. run edfb (./edfb)
3. run sph (./sph)

NOTE: both edfb and sph expect an input which is assumed to be in a folder named "../../test_data/sphere/" (i.e. two levels above the current execution path)

TODO: set up a code variable to locate the input data (data file paths should not be hard-coded)

### trapping

The execution of trapping programs requires at least one of the previous programs to have produced a complete output set.

TODO: investigate which conditions allow clu or sph to write TTMS output files.